#!/bin/bash
#
#-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
# NASA Goddard Space Flight Center Land Information System (LIS) v7.1
#
# Copyright (c) 2015 United States Government as represented by the
# Administrator of the National Aeronautics and Space Administration.
# All Rights Reserved.
#-------------------------END NOTICE -- DO NOT EDIT-----------------------
#
# Settings for wgetting Noah-3.3 parameter files from the 
#  LIS Data Portal (https://portal.nccs.nasa.gov/lisdata).
#
#  Username and password required to access files ...
#   - 2 ways for accessing the data with your Data 
#       Portal username/password:
#
#      1) Place them in this script by uncommenting
#        user/pass variables below and in the wget line, then
#        substituting:  username and password with your own;
#   OR ...
#      2) Create a ".wgetrc" file in your home directory, and
#        then enter your Data Portal username/password information:
#          --http-user=username
#          --http-password=password
#        and then save the file.  This option "hides" your password
#        information (note: you would not need to uncomment the user
#        and pass variables below).
#
#  For any questions or problems, please contact Kristi Arsenault,
#   at kristi.r.arsenault@nasa.gov.
#
#  06.27.2014 -- Kristi Arsenault: v1.0: Initial version
#  07.04.2014 -- David Mocko:      v1.1: Public testcase for
#                                        LIS-7.0 Noah-3.3
#
### Necessary directory paths ###
 serverhost=https://portal.nccs.nasa.gov
 sourcedir=/lisdata/data/PARAMETERS/noah33_parms
# user=username
# pass=password

### WGET FILES:: ###

## Create directory structure:
   file=${serverhost}/${sourcedir}

   wget --no-check-certificate -r --accept "*PARM.TBL" -l1 -nv ${file} -nH --cut-dirs=2 -a download_noah33parms.log # --http-user=$user --http-password=$pass

### COMPLETED!! ###

  echo " -----  COMPLETED DOWNLOADING FILES FOR:: " $sourcedir " -----  "
#  exit 0

###
